RDKit: RDKit::FilterCatalogParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDKit::FilterCatalogParams Class Reference

`#include <FilterCatalog.h>`

Inheritance diagram for RDKit::FilterCatalogParams:

## Public Types
enum | FilterCatalogs { PAINS_A = (1u << 1) , PAINS_B = (1u << 2) , PAINS_C = (1u << 3) , PAINS = PAINS_A | PAINS_B | PAINS_C , BRENK = (1u << 4) , NIH = (1u << 5) , ZINC = (1u << 6) , CHEMBL_Glaxo = (1u << 7) , CHEMBL_Dundee = (1u << 8) , CHEMBL_BMS = (1u << 9) , CHEMBL_SureChEMBL = (1u << 10) , CHEMBL_MLSMR = (1u << 11) , CHEMBL_Inpharmatica = (1u << 12) , CHEMBL_LINT = (1u << 13) , CHEMBL , ALL = PAINS | BRENK | NIH | ZINC | CHEMBL }

## Public Member Functions
| FilterCatalogParams ()
| FilterCatalogParams (FilterCatalogs catalogs)
| FilterCatalogParams (const FilterCatalogParams &other)
| ~FilterCatalogParams () override
virtual bool | addCatalog (FilterCatalogs catalogs)
const std::vector< FilterCatalogs > & | getCatalogs () const
| Returns the existing list of FilterCatalogs to be used.
virtual void | fillCatalog (FilterCatalog &catalog) const
| Fill a catalog with the appropriate entries.
void | toStream (std::ostream &ss) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string

## Additional Inherited Members
Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string

## Detailed Description

Definition at line 42 of file FilterCatalog.h.

## Member Enumeration Documentation

## ◆ FilterCatalogs

enum RDKit::FilterCatalogParams::FilterCatalogs

Enumerator
PAINS_A |
PAINS_B |
PAINS_C |
PAINS |
BRENK |
NIH |
ZINC |
CHEMBL_Glaxo |
CHEMBL_Dundee |
CHEMBL_BMS |
CHEMBL_SureChEMBL |
CHEMBL_MLSMR |
CHEMBL_Inpharmatica |
CHEMBL_LINT |
CHEMBL |
ALL |

Definition at line 45 of file FilterCatalog.h.

## Constructor & Destructor Documentation

## ◆ FilterCatalogParams() [1/3]

RDKit::FilterCatalogParams::FilterCatalogParams | ( |  | ) |
| inline

Definition at line 68 of file FilterCatalog.h.

References RDCatalog::CatalogParams::setTypeStr().

Referenced by FilterCatalogParams().

## ◆ FilterCatalogParams() [2/3]

RDKit::FilterCatalogParams::FilterCatalogParams | ( | FilterCatalogs | catalogs | ) |
| inline

Definition at line 72 of file FilterCatalog.h.

References addCatalog(), and RDCatalog::CatalogParams::setTypeStr().

## ◆ FilterCatalogParams() [3/3]

RDKit::FilterCatalogParams::FilterCatalogParams | ( | const FilterCatalogParams & | other | ) |
| inline

Definition at line 77 of file FilterCatalog.h.

References FilterCatalogParams().

## ◆ ~FilterCatalogParams()

RDKit::FilterCatalogParams::~FilterCatalogParams | ( |  | ) |
| inlineoverride

Definition at line 80 of file FilterCatalog.h.

## Member Function Documentation

## ◆ addCatalog()

virtual bool RDKit::FilterCatalogParams::addCatalog | ( | FilterCatalogs | catalogs | ) |
| virtual

Adds an existing FilterCatalog specification to be used in the FilterCatalog

Specifies an existing filter catalog to be used.

Parameters

  catalogs | One of the enumerated known FilterCatalogs

Referenced by FilterCatalogParams().

## ◆ fillCatalog()

virtual void RDKit::FilterCatalogParams::fillCatalog | ( | FilterCatalog & | catalog | ) | const
| virtual

Fill a catalog with the appropriate entries.

## ◆ getCatalogs()

const std::vector< FilterCatalogs > & RDKit::FilterCatalogParams::getCatalogs | ( |  | ) | const
| inline

Returns the existing list of FilterCatalogs to be used.

Definition at line 95 of file FilterCatalog.h.

## ◆ initFromStream()

void RDKit::FilterCatalogParams::initFromStream | ( | std::istream & | ss | ) |
| overridevirtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

## ◆ initFromString()

void RDKit::FilterCatalogParams::initFromString | ( | const std::string & | text | ) |
| overridevirtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

## ◆ Serialize()

std::string RDKit::FilterCatalogParams::Serialize | ( |  | ) | const
| overridevirtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

## ◆ toStream()

void RDKit::FilterCatalogParams::toStream | ( | std::ostream & | ss | ) | const
| overridevirtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- FilterCatalog.h